Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Class TableView.TableCell

    java.lang.Object
      |
      +--javax.swing.text.View
            |
            +--javax.swing.text.CompositeView
                  |
                  +--javax.swing.text.BoxView
                        |
                        +--javax.swing.text.TableView.TableCell

All Implemented Interfaces:
  SwingConstants, javax.swing.text.TableView.GridCell

Enclosing class:
  TableView

Deprecated. A table cell can now be any View implementation.

public class TableView.TableCell
extends BoxView
implements javax.swing.text.TableView.GridCell

Fields inherited from class javax.swing.text.View
`BadBreakWeight, ExcellentBreakWeight, ForcedBreakWeight, GoodBreakWeight, X_AXIS, Y_AXIS`

Fields inherited from interface javax.swing.SwingConstants
`BOTTOM, CENTER, EAST, HORIZONTAL, LEADING, LEFT, NORTH, NORTH_EAST, NORTH_WEST, RIGHT, SOUTH, SOUTH_EAST, SOUTH_WEST, TOP, TRAILING, VERTICAL, WEST`

Constructor Summary
`TableView.TableCell(Element elem)` Deprecated. Constructs a TableCell for the given element.

Method Summary
`int` | `getColumnCount()` Deprecated. Gets the number of columns this cell spans (e.g.
`int` | `getGridColumn()` Deprecated. Gets the column of the grid location
`int` | `getGridRow()` Deprecated. Gets the row of the grid location
`int` | `getRowCount()` Deprecated. Gets the number of rows this cell spans (that is, the grid height).
`void` | `setGridLocation(int row, int col)` Deprecated. Sets the grid location.

Methods inherited from class javax.swing.text.BoxView
`baselineLayout, baselineRequirements, calculateMajorAxisRequirements, calculateMinorAxisRequirements, childAllocation, flipEastAndWestAtEnds, forwardUpdate, getAlignment, getAxis, getChildAllocation, getHeight, getMaximumSpan, getMinimumSpan, getOffset, getPreferredSpan, getResizeWeight, getSpan, getViewAtPoint, getWidth, isAfter, isAllocationValid, isBefore, layout, layoutChanged, layoutMajorAxis, layoutMinorAxis, modelToView, paint, paintChild, preferenceChanged, replace, setAxis, setSize, viewToModel`

Methods inherited from class javax.swing.text.CompositeView
`getBottomInset, getInsideAllocation, getLeftInset, getNextEastWestVisualPositionFrom, getNextNorthSouthVisualPositionFrom, getNextVisualPositionFrom, getRightInset, getTopInset, getView, getViewAtPosition, getViewCount, getViewIndex, getViewIndexAtPosition, loadChildren, modelToView, setInsets, setParagraphInsets, setParent`

Methods inherited from class javax.swing.text.View
`append, breakView, changedUpdate, createFragment, forwardUpdateToView, getAttributes, getBreakWeight, getContainer, getDocument, getElement, getEndOffset, getGraphics, getParent, getStartOffset, getViewFactory, insert, insertUpdate, isVisible, modelToView, remove, removeAll, removeUpdate, updateChildren, updateLayout, viewToModel`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableView.TableCell

    public TableView.TableCell(Element elem)

  Deprecated.
  Constructs a TableCell for the given element.
  Parameters:
    `elem` - the element that this view is responsible for

Method Detail

### getColumnCount

    public int getColumnCount()

  Deprecated.
  Gets the number of columns this cell spans (e.g. the grid width).
  Specified by:
    `getColumnCount` in interface `javax.swing.text.TableView.GridCell`
  Returns:
    the number of columns

### getRowCount

    public int getRowCount()

  Deprecated.
  Gets the number of rows this cell spans (that is, the grid height).
  Specified by:
    `getRowCount` in interface `javax.swing.text.TableView.GridCell`
  Returns:
    the number of rows

### setGridLocation

    public void setGridLocation(int row,
                                int col)

  Deprecated.
  Sets the grid location.
  Specified by:
    `setGridLocation` in interface `javax.swing.text.TableView.GridCell`
  Parameters:
    `row` - the row >= 0
    `col` - the column >= 0

### getGridRow

    public int getGridRow()

  Deprecated.
  Gets the row of the grid location
  Specified by:
    `getGridRow` in interface `javax.swing.text.TableView.GridCell`

### getGridColumn

    public int getGridColumn()

  Deprecated.
  Gets the column of the grid location
  Specified by:
    `getGridColumn` in interface `javax.swing.text.TableView.GridCell`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.